Subject: tail -f behaviour

From: f0rhum <[email-masked]>
Date: Wed, 18 Jan 2017 17:39:07 +0100

Hi
This is about tail v5.97
I have a log file that is updated every 5mn, a timestamped message being
appended to a new line at the end
On the third time an indentical message would be writen, the last line
is replaced by "..." then the message is writen

Tracking changes with tail -f stops after this, which may be intended
behaviour as man states "as the file grows".

Although, when pruning a bunch of lines from the head of the file, then a
yet running tracking still won't update even the file size grows, like if the file size was
grabbed on the very beginning of the command and never updated on each
iteration.

To be honest, I didn't try to see what happens if I prune a single line
and see what the next 2nd and further iterations show.